# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

DESCRIPTION="Zabbix SNMP LLDP Topology Discovery"
HOMEPAGE="https://git.unitas-network.de/Zabbix/snmp_lldp"
SRC_URI="https://git.unitas-network.de/Zabbix/snmp_lldp/archive/1.5.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"

COMMON_DEPEND="
	net-analyzer/zabbix
"
DEPEND="
	${COMMON_DEPEND}
"
RDEPEND="
	${COMMON_DEPEND}
"

S=${WORKDIR}/snmp_lldp

src_compile() {
	cd source/modules
	sed -i 's#^INCLUDES.*$#INCLUDES = -I/usr/include/zabbix/#' Makefile
	emake
}

src_install() {
	exeinto /usr/$(get_libdir)/zabbix
	doexe source/modules/lldp_get.so

	insinto /usr/share/snmp/mibs
	doins mibs/lldp-mibs/*

	insinto /usr/share/zabbix/snmp_lldp/templates
	doins data/zabbix3.0/templates/*
	insinto /usr/share/zabbix/snmp_lldp/value_mapping
	doins data/zabbix3.0/value_mapping/*

	dodoc ChangeLog INSTALL README.md
}
